## limesuite 20.01.0+dfsg

=== CMakeLists.txt ===
########################################################################
## Create lime-suite project
########################################################################
cmake_minimum_required(VERSION 3.1.3)
set(CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo" CACHE TYPE INTERNAL FORCE)
project("LimeSuite")

option(BUILD_SHARED_LIBS "Build the shared library" ON)

#include modules for finding CyAPI
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

cmake_policy(SET CMP0015 OLD)
if(${CMAKE_MAJOR_VERSION} GREATER 2)
    cmake_policy(SET CMP0043 NEW)
endif()

list(FIND CMAKE_CONFIGURATION_TYPES "${CMAKE_BUILD_TYPE}" index)
if (${index} EQUAL -1)
   set(CMAKE_BUILD_TYPE "Release")
endif()

########################################################################
# Gather version information from the changelog
# LIME_SUITE_API_VERSION in VersionInfo.h reflects the major/minor
########################################################################
file(READ "${PROJECT_SOURCE_DIR}/Changelog.txt" changelog_txt)
string(REGEX MATCH "Release ([0-9]+)\\.([0-9]+)\\.([0-9]+) \\(" CHANGELOG_MATCH "${changelog_txt}")
if(NOT CHANGELOG_MATCH)
    message(FATAL_ERROR "Failed to extract version number from Changelog.txt")
endif(NOT CHANGELOG_MATCH)
set(VERSION_MAJOR "${CMAKE_MATCH_1}")
set(VERSION_MINOR "${CMAKE_MATCH_2}")
set(VERSION_PATCH "${CMAKE_MATCH_3}")

# the ABI compatibility number should be incremented when the ABI changes
# the format is to use the same major and minor, but to have an incrementing
# number if there are changes within the major.minor release series
set(LIME_SUITE_SOVER "${VERSION_MAJOR}.${VERSION_MINOR}-1")

# packagers may specify -DLIME_SUITE_EXTVER="foo" to replace the git hash
if (NOT LIME_SUITE_EXTVER)
    include(${PROJECT_SOURCE_DIR}/cmake/GetGitRevisionDescription.cmake)
    get_git_head_revision(GITREFSPEC GITHASH)
    if (GITHASH)
        string(SUBSTRING "${GITHASH}" 0 8 GITHASH)
        set(LIME_SUITE_EXTVER "g${GITHASH}")
    else (GITHASH)
        set(LIME_SUITE_EXTVER "unknown")
    endif (GITHASH)
endif()

set(LIME_SUITE_LIBVER "${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH}")
set(LIME_SUITE_VERSION "${LIME_SUITE_LIBVER}-${LIME_SUITE_EXTVER}")
string(TIMESTAMP BUILD_TIMESTAMP "%Y-%m-%d")

#LIME_SUITE_ROOT is compiled into the library to locate the install base.
#By default, the LIME_SUITE_ROOT is set to the CMAKE_INSTALL_PREFIX.
#However users may overload this by specifying -DLIME_SUITE_ROOT=<path>.
set(LIME_SUITE_ROOT "${CMAKE_INSTALL_PREFIX}" CACHE PATH
    "Installation root for lime::getLimeSuiteRoot()")
file(TO_CMAKE_PATH "${LIME_SUITE_ROOT}" LIME_SUITE_ROOT)

########################################################################
## compiler flags
########################################################################

#C++11 is a required language feature for this project
set(CMAKE_CXX_STANDARD 11)

#is this processor x86? set variable X86
if(CMAKE_SYSTEM_PROCESSOR MATCHES "i686.*|i386.*|x86.*|amd64.*|AMD64.*")
    set(X86 TRUE)
else()
    set(X86 FALSE)
endif()

if(CMAKE_COMPILER_IS_GNUCXX)

    #enable C++11 on older versions of cmake
    if (CMAKE_VERSION VERSION_LESS "3.1")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++0x")
    endif()

    #enable warnings in Debug configurations
    if (NOT CMAKE_BUILD_TYPE STREQUAL "Release")
    	add_compile_options(-Wall -Wpedantic)
    endif()

    #symbols are only exported from libraries/modules explicitly
    add_compile_options(-fvisibility=hidden)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fvisibility-inlines-hidden")

    #default SIMD configuration uses native build flags
    #when packaging and x86, use sse3 so the binaries work across multiple x86 variants
    if(NOT DEFAULT_SIMD_FLAGS)
        set(DEFAULT_SIMD_FLAGS "native")
    endif()
    if ("${CMAKE_INSTALL_PREFIX}" STREQUAL "/usr" AND X86)
        set(DEFAULT_SIMD_FLAGS "SSE3")
    endif()

    SET(ENABLE_SIMD_FLAGS "${DEFAULT_SIMD_FLAGS}" CACHE STRING "Set compiler SIMD flags")
    SET_PROPERTY(CACHE ENABLE_SIMD_FLAGS PROPERTY STRINGS none native SSE3 SSE4.2 AVX AVX2) 

    if(${ENABLE_SIMD_FLAGS} MATCHES "native")
        add_definitions(-march=native)
        if(X86)
            add_definitions(-mfpmath=both)
        endif()
        message(STATUS "Enabling native optimizations")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "AVX2")
        add_definitions(-mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfma -mavx2 -mfpmath=both)
        message(STATUS "Enabling AVX2 instructions")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "AVX")
        add_definitions(-mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mavx -mfpmath=both)
        message(STATUS "Enabling AVX instructions")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "SSE4.2")
        add_definitions(-mmmx -msse -msse2 -msse3 -mssse3 -msse4.1 -msse4.2 -mpopcnt -mfpmath=both)
        message(STATUS "Enabling SSE4.2 instructions")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "SSE3")
        add_definitions(-mmmx -msse -msse2 -msse3 -mfpmath=both)
        message(STATUS "Enabling SSE3 instructions")
    endif()

endif()

if (MSVC)
    include_directories(${PROJECT_SOURCE_DIR}/external/msvc)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    set( MSVC_MULTITHREAD_COMPILE_FLAGS "/MP")
    set( CMAKE_CXX_FLAGS  "${CMAKE_CXX_FLAGS} ${MSVC_MULTITHREAD_COMPILE_FLAGS}" )

    SET(ENABLE_SIMD_FLAGS "SSE2" CACHE STRING "Set compiler SIMD flags")
    SET_PROPERTY(CACHE ENABLE_SIMD_FLAGS PROPERTY STRINGS none SSE2 AVX AVX2) 

    if(${ENABLE_SIMD_FLAGS} MATCHES "AVX2")
        add_definitions(/arch:AVX2)
        message(STATUS "Enabling AVX2 instructions")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "AVX")
        add_definitions(/arch:AVX)
        message(STATUS "Enabling AVX instructions")
    elseif(${ENABLE_SIMD_FLAGS} MATCHES "SSE2")
        add_definitions(/arch:SSE2)
        message(STATUS "Enabling SSE2 instructions")
    endif()
endif(MSVC)

if (APPLE)
   add_definitions(-D__unix__=1) #we use this for unix detection, but clang does not define it
endif(APPLE)

########################################################################
# rpath setup - http://www.cmake.org/Wiki/CMake_RPATH_handling
########################################################################
# use, i.e. don't skip the full RPATH for the build tree
option(CMAKE_SKIP_BUILD_RPATH "skip rpath build" FALSE)

# when building, don't use the install RPATH already
# (but later on when installing)
option(CMAKE_BUILD_WITH_INSTALL_RPATH "build with install rpath" FALSE)

# the RPATH to be used when installing, but only if it's not a system directory
option(CMAKE_AUTOSET_INSTALL_RPATH TRUE)
if(CMAKE_AUTOSET_INSTALL_RPATH)
LIST(FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}" isSystemDir)
IF("${isSystemDir}" STREQUAL "-1")
    SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}")
ENDIF("${isSystemDir}" STREQUAL "-1")
endif(CMAKE_AUTOSET_INSTALL_RPATH)

# add the automatically determined parts of the RPATH
# which point to directories outside the build tree to the install RPATH
option(CMAKE_INSTALL_RPATH_USE_LINK_PATH "build with automatic rpath" TRUE)

if(APPLE)
    set(CMAKE_MACOSX_RPATH ON)
endif()

########################################################################
## lime suite build
########################################################################
add_subdirectory(src)
add_subdirectory(mcu_program)
add_subdirectory(LimeUtil)
add_subdirectory(QuickTest)

########################################################################
## SoapySDR bindings for LMS7 RFIC driver
########################################################################
add_subdirectory(SoapyLMS7)

########################################################################
## udev rules for linux usb
########################################################################
if (DEFINED UDEV_RULES_PATH)
    install(
        FILES ${CMAKE_CURRENT_SOURCE_DIR}/udev-rules/64-limesuite.rules
        DESTINATION ${UDEV_RULES_PATH})
endif()

########################################################################
## Doxygen
########################################################################
find_package(Doxygen QUIET)
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_API_DOXYGEN "Enable LMS API Doxygen documentation" OFF "DOXYGEN_FOUND" OFF)
add_feature_info(LimeSuiteDocAPI ENABLE_API_DOXYGEN "LMS API Doxygen documentation")
if (ENABLE_API_DOXYGEN)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/docs/doxygen/DoxyfileAPI.in ${CMAKE_CURRENT_BINARY_DIR}/doc/Doxyfile @ONLY)
  add_custom_target(docAPI ALL
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/doc/Doxyfile 
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating LMS API documentation with Doxygen" VERBATIM
    )
endif()

if(DOXYGEN_FOUND)
  configure_file(${CMAKE_CURRENT_SOURCE_DIR}/docs/doxygen/Doxyfile.in ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile @ONLY)
  add_custom_target(doc
    ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_BINARY_DIR}/Doxyfile 
    WORKING_DIRECTORY ${CMAKE_CURRENT_BINARY_DIR}
    COMMENT "Generating documentation with Doxygen" VERBATIM
    )
endif()

########################################################################
# CMake Project config files
########################################################################
if (ENABLE_HEADERS AND ENABLE_LIBRARY)
    configure_file(
        ${PROJECT_SOURCE_DIR}/cmake/Modules/LimeSuiteConfigVersion.in.cmake
        ${PROJECT_BINARY_DIR}/LimeSuiteConfigVersion.cmake
    @ONLY)

    install(FILES
        ${PROJECT_SOURCE_DIR}/cmake/Modules/LimeSuiteConfig.cmake
        ${PROJECT_BINARY_DIR}/LimeSuiteConfigVersion.cmake
        DESTINATION lib${LIB_SUFFIX}/cmake/${PROJECT_NAME})
endif (ENABLE_HEADERS AND ENABLE_LIBRARY)

########################################################################
## freedesktop environment integration
########################################################################
add_subdirectory(Desktop)

########################################################################
## Octave plugin integration
########################################################################
add_subdirectory(octave)

#########################################################################
# summary
#########################################################################
include(FeatureSummary)
message(STATUS "")
message(STATUS "######################################################")
message(STATUS "## ${PROJECT_NAME} enabled features")
message(STATUS "######################################################")
feature_summary(WHAT ENABLED_FEATURES)
message(STATUS "######################################################")
message(STATUS "## ${PROJECT_NAME} disabled features")
message(STATUS "######################################################")
feature_summary(WHAT DISABLED_FEATURES)
message(STATUS "Install prefix: ${CMAKE_INSTALL_PREFIX}")
message(STATUS "Build timestamp: ${BUILD_TIMESTAMP}")
message(STATUS "Lime Suite version: ${LIME_SUITE_VERSION}")
message(STATUS "ABI/so version: ${LIME_SUITE_SOVER}")
include(${CMAKE_CURRENT_SOURCE_DIR}/cmake/DownloadImages.cmake)

########################################################################
# uninstall target
########################################################################
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

#only add uninstall target if this is the top project
if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

=== QuickTest/CMakeLists.txt ===
cmake_dependent_option(ENABLE_QUICKTEST "LimeSDR quick test utility" ON "ENABLE_LIBRARY" OFF)
add_feature_info(LimeQuickTest ENABLE_QUICKTEST "LimeSDR-QuickTest Utility")

if(ENABLE_QUICKTEST)
    add_executable(LimeQuickTest
		   LimeSDRTest.cpp
		   LimeSDRTest_Mini.cpp
		   LimeSDRTest_USB.cpp
		   LimeNET_Micro_Test.cpp
        	   TestGUI.cpp
		   resources/resource.rc
		   ${PROJECT_SOURCE_DIR}/external/kissFFT/kiss_fft.c)
    target_link_libraries(LimeQuickTest
		      LimeSuite
		      ${FLTK_LDFLAGS}
		      ${FLTK_LIBRARIES}
		      ${GLUT_LIBRARY}
		      )
    #find FLTK
    set(FLTK_SKIP_FLUID true)
    find_package(FLTK)
    execute_process(COMMAND fltk-config --ldflags OUTPUT_VARIABLE FLTK_LDFLAGS OUTPUT_STRIP_TRAILING_WHITESPACE)
    if (FLTK_FOUND)
   	include_directories(${FLTK_INCLUDE_DIR})
	target_compile_definitions(LimeQuickTest PRIVATE -DQUICKTEST_GUI)
    	target_link_libraries(LimeQuickTest
		      ${FLTK_LDFLAGS}
		      ${FLTK_LIBRARIES}
		      ${GLUT_LIBRARY}
		      )
    endif()
    install(TARGETS LimeQuickTest DESTINATION bin)
endif()

=== mcu_program/CMakeLists.txt ===
#project directory inside LimeSuite/mcu_program
cmake_policy(SET CMP0003 NEW)
#C++11 is a required language feature for this project
set(CMAKE_CXX_STANDARD 11)

cmake_dependent_option(ENABLE_MCU_TESTBENCH "MCU functions testing project" OFF "ENABLE_LIBRARY" OFF)

if(ENABLE_MCU_TESTBENCH)

if(CMAKE_COMPILER_IS_GNUCXX)

    #enable C++11 on older versions of cmake
    if (CMAKE_VERSION VERSION_LESS "3.1")
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11x")
    endif()

    #common warnings enabled
    add_compile_options(-Wall)
endif()

set(HOST_SOURCES
    host_src/mcu.c 
    host_src/main.cpp
    host_src/spi.cpp
    host_src/mcuHexBin.cpp
    common_src/lms7002m_calibrations.c
    common_src/lms7002m_controls.c
    common_src/lms7002m_filters.c
    common_src/lms7002m_agc.c
)

SET_SOURCE_FILES_PROPERTIES( 
	host_src/mcu.c
	common_src/lms7002m_calibrations.c
	common_src/lms7002m_controls.c
    common_src/lms7002m_agc.c
	PROPERTIES LANGUAGE CXX )


include_directories(../src)
include_directories(../src/lms7002m)
include_directories(../src/ConnectionRegistry)
include_directories(../src/ConnectionSTREAM)
include_directories(../src/protocols)
include_directories(common_src)

add_executable(MCU_TestBench ${HOST_SOURCES})
if(WIN32)
target_link_libraries(MCU_TestBench LimeSuite)
else()
target_link_libraries(MCU_TestBench LimeSuite)
endif()
if(WIN32)
    target_link_libraries(MCU_TestBench ${CYAPI_LIBRARIES} SetupAPI)
endif()

endif(ENABLE_MCU_TESTBENCH)

=== octave/CMakeLists.txt ===
# LimeSuite Octave plugin compilation
########################################################################
## Feature registration
########################################################################
find_program(OCTAVE_CONFIG_EXECUTABLE NAMES octave-config)
if(NOT OCTAVE_CONFIG_EXECUTABLE)
    message(STATUS "octave-config not found (need liboctave-dev), disabling LimeSuiteOctave")
else()
    execute_process (COMMAND ${OCTAVE_CONFIG_EXECUTABLE} -p BINDIR OUTPUT_VARIABLE OCTAVE_BIN_PATHS OUTPUT_STRIP_TRAILING_WHITESPACE)
    find_program(OCTAVE_MKOCTFILE_EXECUTABLE HINTS ${OCTAVE_BIN_PATHS} NAMES mkoctfile)
endif()

include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_OCTAVE "Enable LimeSuite library plugin for Octave" ON "ENABLE_LIBRARY;OCTAVE_CONFIG_EXECUTABLE;OCTAVE_MKOCTFILE_EXECUTABLE" OFF)
add_feature_info(LimeSuiteOctave ENABLE_OCTAVE "LimeSuite Octave integration")

if (NOT ENABLE_OCTAVE)
    return()
endif()

add_custom_command(OUTPUT LimeSuite.oct LimeSuite.o
    ALL
    COMMAND ${OCTAVE_MKOCTFILE_EXECUTABLE}
    ARGS -I${PROJECT_SOURCE_DIR}/src/lime ${CMAKE_CURRENT_SOURCE_DIR}/LimeSuite.cc -L$<TARGET_SONAME_FILE_DIR:LimeSuite> -lLimeSuite
    COMMENT "Building LimeSuite Octave plugin"
    DEPENDS LimeSuite
)
add_custom_target(LimeSuiteOctave ALL DEPENDS LimeSuite.oct)

#install script for preloading Limesuite.oct functions
execute_process (COMMAND ${OCTAVE_CONFIG_EXECUTABLE} --m-site-dir
    OUTPUT_VARIABLE OCTAVE_SCRIPTS_PATHS OUTPUT_STRIP_TRAILING_WHITESPACE)
install(
    FILES
        ${CMAKE_CURRENT_SOURCE_DIR}/LoadLimeSuite.m
    DESTINATION ${OCTAVE_SCRIPTS_PATHS}
)

#install dynamic library
execute_process (COMMAND ${OCTAVE_CONFIG_EXECUTABLE} --oct-site-dir
    OUTPUT_VARIABLE OCTAVE_LIBS_PATHS OUTPUT_STRIP_TRAILING_WHITESPACE)
install(
    FILES
        ${CMAKE_CURRENT_BINARY_DIR}/LimeSuite.oct
    DESTINATION ${OCTAVE_LIBS_PATHS}
)

=== src/CMakeLists.txt ===
########################################################################
## public headers
########################################################################
set(LIME_SUITE_PUBLIC_HEADERS
    lime/LimeSuite.h
    VersionInfo.h
    Logger.h
    SystemResources.h
    LimeSuiteConfig.h
    ADF4002/ADF4002.h
    lms7002m_mcu/MCU_BD.h
    lms7002m_mcu/MCU_File.h
    ConnectionRegistry/IConnection.h
    ConnectionRegistry/ConnectionHandle.h
    ConnectionRegistry/ConnectionRegistry.h
    lms7002m/LMS7002M.h
    lms7002m/LMS7002M_RegistersMap.h
    lime/LMS7002M_parameters.h
    protocols/Streamer.h
    protocols/ADCUnits.h
    protocols/LMS64CCommands.h
    protocols/LMS64CProtocol.h
    protocols/LMSBoards.h
    protocols/dataTypes.h
    protocols/fifo.h
    Si5351C/Si5351C.h
    FPGA_common/FPGA_common.h
    API/lms7_device.h
    limeRFE/limeRFE.h
)

include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_HEADERS "Enable install headers" ON "TRUE" OFF)
add_feature_info(LimeSuiteHeaders ENABLE_HEADERS "The lime suite headers")
if (ENABLE_HEADERS)
    install(
        FILES ${LIME_SUITE_PUBLIC_HEADERS}
        DESTINATION include/lime
    )
endif()

########################################################################
## lime suite library
########################################################################
set(LIME_SUITE_SOURCES
    Logger.cpp
    ADF4002/ADF4002.cpp
    lms7002m_mcu/MCU_BD.cpp
    ConnectionRegistry/IConnection.cpp
    ConnectionRegistry/ConnectionHandle.cpp
    ConnectionRegistry/ConnectionRegistry.cpp
    lms7002m/LMS7002M_RegistersMap.cpp
    lms7002m/LMS7002M_parameters.cpp
    lms7002m/LMS7002M.cpp
    lms7002m/LMS7002M_RxTxCalibrations.cpp
    lms7002m/LMS7002M_BaseCalibrations.cpp
    lms7002m/mcu_dc_iq_calibration.cpp
    lms7002m/LMS7002M_filtersCalibration.cpp
    lms7002m/LMS7002M_gainCalibrations.cpp
    protocols/LMS64CProtocol.cpp
    protocols/Streamer.cpp
    protocols/ConnectionImages.cpp
    Si5351C/Si5351C.cpp
    ${PROJECT_SOURCE_DIR}/external/kissFFT/kiss_fft.c
    API/lms7_api.cpp
    API/lms7_device.cpp
    API/LmsGeneric.cpp
    API/qLimeSDR.cpp
    API/LimeSDR_mini.cpp
    API/LimeSDR.cpp
    API/LimeNET_micro.cpp
    API/LimeSDR_PCIE.cpp
    API/LimeSDR_Core.cpp
    FPGA_common/FPGA_common.cpp
    FPGA_common/FPGA_Mini.cpp
    FPGA_common/FPGA_Q.cpp
    windowFunction.cpp
    limeRFE/limeRFE_cmd.cpp
    limeRFE/limeRFE_api.cpp
    limeRFE/RFE_Device.cpp
)

set(LIME_SUITE_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}
    API
    lime
    GFIR
    protocols
    ConnectionRegistry
    lms7002m_mcu
    ADF4002
    Si5351C
    lms7002m
    FPGA_common
    lms7002m_mcu
    ${PROJECT_SOURCE_DIR}/external/cpp-feather-ini-parser
    ${PROJECT_SOURCE_DIR}/external/kissFFT/
    limeRFE
)

if(MSVC)
    list(APPEND LIME_SUITE_SOURCES limeRFE/external/termiWin/termiWin.c)
    list(APPEND LIME_SUITE_INCLUDES limeRFE/external/termiWin)    
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/VersionInfo.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/VersionInfo.cpp @ONLY)
list(APPEND LIME_SUITE_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/VersionInfo.cpp)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/SystemResources.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/SystemResources.cpp @ONLY)
list(APPEND LIME_SUITE_SOURCES ${CMAKE_CURRENT_BINARY_DIR}/SystemResources.cpp)

if(CMAKE_COMPILER_IS_GNUCXX)
    list(APPEND LIME_SUITE_LIBRARIES -pthread)
endif(CMAKE_COMPILER_IS_GNUCXX)

include(FeatureSummary)
include(CMakeDependentOption)
option(ENABLE_LIBRARY "Enable build library" ON)
add_feature_info(LimeSuiteLibrary ENABLE_LIBRARY "The lime suite library")
if (ENABLE_LIBRARY)
    add_library(LimeSuite ${LIME_SUITE_SOURCES})
    target_link_libraries(LimeSuite ${LIME_SUITE_LIBRARIES})
    set_property(TARGET LimeSuite PROPERTY POSITION_INDEPENDENT_CODE TRUE)
    set_target_properties(LimeSuite PROPERTIES SOVERSION ${LIME_SUITE_SOVER})
    set_target_properties(LimeSuite PROPERTIES VERSION ${LIME_SUITE_LIBVER})
    set_target_properties(LimeSuite PROPERTIES DEFINE_SYMBOL "LIME_DLL_EXPORTS")
    target_include_directories(LimeSuite PUBLIC ${LIME_SUITE_INCLUDES})
    if(BUILD_SHARED_LIBS)
        target_compile_definitions(LimeSuite PUBLIC "LIME_DLL")
    endif()

    install(TARGETS LimeSuite
        LIBRARY DESTINATION lib${LIB_SUFFIX} # .so file
        ARCHIVE DESTINATION lib${LIB_SUFFIX} # .lib file
        RUNTIME DESTINATION bin              # .dll file
    )

	if (MSVC)
		set_target_properties(LimeSuite PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
	endif(MSVC)

    add_subdirectory(GFIR)
    set(LIME_SUITE_LIBS LimeSuite)
endif()

########################################################################
## Supported connections
########################################################################
include(ConnectionEVB7COM/CMakeLists.txt)
include(ConnectionFX3/CMakeLists.txt)
include(ConnectionSTREAM_UNITE/CMakeLists.txt)
include(ConnectionFTDI/CMakeLists.txt)
include(ConnectionXillybus/CMakeLists.txt)
include(ConnectionRemote/CMakeLists.txt)
include(ConnectionSPI/CMakeLists.txt)

configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/ConnectionRegistry/BuiltinConnections.in.cpp
    ${CMAKE_CURRENT_BINARY_DIR}/BuiltinConnections.cpp
)

target_sources(LimeSuite PRIVATE ${CMAKE_CURRENT_BINARY_DIR}/BuiltinConnections.cpp)

########################################################################
## wx widgets dependency
########################################################################
set(wxWidgets_USE_DEBUG OFF)
set(wxWidgets_USE_UNICODE ON)
set(wxWidgets_USE_UNIVERSAL OFF)
set(wxWidgets_USE_STATIC ON)
find_package(wxWidgets COMPONENTS richtext xml html xrc adv aui core base gl)
message(STATUS "wxWidgets_DEFINITIONS: ${wxWidgets_DEFINITIONS}")
message(STATUS "wxWidgets_INCLUDE_DIRS: ${wxWidgets_INCLUDE_DIRS}")
message(STATUS "wxWidgets_LIBRARIES: ${wxWidgets_LIBRARIES}")

########################################################################
## LimeSuite GUI app
########################################################################
set(LMS7SUITE_GUI_SOURCES
    ADF4002/ADF4002_wxgui.cpp
    lms7002_wxgui/lms7002_pnlXBUF_view.cpp
    lms7002_wxgui/lms7002_wxgui.cpp
    lms7002_wxgui/lms7002_pnlRFE_view.cpp
    lms7002_wxgui/lms7002_pnlCalibrations_view.cpp
    lms7002_wxgui/lms7002_pnlTRF_view.cpp
    lms7002_wxgui/lms7002_pnlCDS_view.cpp
    lms7002_wxgui/lms7002_pnlLimeLightPAD_view.cpp
    lms7002_wxgui/lms7002_pnlBIST_view.cpp
    lms7002_wxgui/dlgViewIRAM.cpp
    lms7002_wxgui/lms7002_gui_utilities.cpp
    lms7002_wxgui/lms7002_pnlSX_view.cpp
    lms7002_wxgui/lms7002_pnlTBB_view.cpp
    lms7002_wxgui/lms7002_dlgVCOfrequencies.cpp
    lms7002_wxgui/lms7002_pnlRBB_view.cpp
    lms7002_wxgui/lms7002_pnlLDO_view.cpp
    lms7002_wxgui/lms7002_pnlAFE_view.cpp
    lms7002_wxgui/lms7002_pnlGains_view.cpp
    lms7002_wxgui/CoefficientFileParser.cpp
    lms7002_wxgui/lms7002_pnlRxTSP_view.cpp
    lms7002_wxgui/lms7002_mainPanel.cpp
    lms7002_wxgui/dlgViewSFR.cpp
    lms7002_wxgui/lms7002_pnlCLKGEN_view.cpp
    lms7002_wxgui/lms7002_pnlMCU_BD_view.cpp
    lms7002_wxgui/lms7002_pnlBIAS_view.cpp
    lms7002_wxgui/lms7002_dlgGFIR_Coefficients.cpp
    lms7002_wxgui/lms7002_pnlTxTSP_view.cpp
    lms7002_wxgui/lms7002_pnlR3.cpp
    LMS_Programing/LMS_Programing_wxgui.cpp
    utilities_gui/dlgConnectionSettings.cpp
    utilities_gui/pnlMiniLog.cpp
    utilities_gui/pnlAPI.cpp
    utilities_gui/SPI_wxgui.cpp
    utilities_gui/dlgFullMessageLog.cpp
    utilities_gui/dlgDeviceInfo.cpp
    utilities_gui/utilities_gui.cpp
    lms7suiteAppFrame.cpp
    boards_wxgui/RFSpark_wxgui.cpp
    Si5351C/Si5351C_wxgui.cpp
    lms7suiteApp_gui.cpp
    lms7suiteApp.cpp
    FPGAcontrols_wxgui/FPGAcontrols_wxgui.cpp
    dlgAbout.cpp
    numericSlider/numericSlider.cpp
    fftviewer_wxgui/fftviewer_wxgui.cpp
    fftviewer_wxgui/fftviewer_frFFTviewer.cpp
    lms7suiteEvents/lms7suiteEvents.cpp
    boards_wxgui/pnlBoardControls.cpp
    boards_wxgui/pnlQSpark.cpp
    boards_wxgui/pnluLimeSDR.cpp
    boards_wxgui/pnlUltimateEVB.cpp
    boards_wxgui/pnlBuffers.cpp
    boards_wxgui/pnlCoreSDR.cpp
    boards_wxgui/pnlLimeNetMicro.cpp
    ${PROJECT_SOURCE_DIR}/external/kissFFT/kiss_fft.c
    windowFunction.cpp
    boards_wxgui/pnlLimeSDR.cpp
    boards_wxgui/pnlGPIO.cpp
    limeRFE/limeRFE_gui.cpp
    limeRFE/limeRFE_wxgui.cpp
    limeRFE/limeRFE_cmd.cpp
)

if(MSVC)
    list(APPEND LMS7SUITE_GUI_SOURCES limeRFE/external/termiWin/termiWin.c)
endif()

include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_GUI "Enable build GUI" ON "ENABLE_LIBRARY;wxWidgets_FOUND" OFF)
add_feature_info(LimeSuiteGUI ENABLE_GUI "GUI Application for LimeSuite")
if (ENABLE_GUI)

    include_directories(lms7002_wxgui)
    include_directories(LMS_Programing)
    include_directories(utilities_gui)
    include_directories(RFSpark)
    include_directories(FPGAcontrols_wxgui)
    include_directories(numericSlider)
    include_directories(fftviewer_wxgui)
    include_directories(lms7suiteEvents)
    include_directories(boards_wxgui)
    include_directories(limeRFE)
    
    include(${wxWidgets_USE_FILE})
    add_subdirectory(oglGraph)

    set(BINARY_OUTPUT_DIR "${CMAKE_BINARY_DIR}/bin")

    add_executable(LimeSuiteGUI ${LMS7SUITE_GUI_SOURCES} resources/resource.rc)
    set_target_properties(LimeSuiteGUI PROPERTIES
        RUNTIME_OUTPUT_DIRECTORY ${BINARY_OUTPUT_DIR})
    target_compile_definitions(LimeSuiteGUI PRIVATE WIN32_LEAN_AND_MEAN)
        
    target_link_libraries(LimeSuiteGUI LimeSuite oglGraph ${wxWidgets_LIBRARIES})

    if (MSVC)
        set_property(TARGET LimeSuiteGUI APPEND PROPERTY LINK_FLAGS /SUBSYSTEM:WINDOWS)
    endif(MSVC)

    install(TARGETS LimeSuiteGUI DESTINATION bin)

endif()

########################################################################
# Build pkg config file
########################################################################
if (ENABLE_HEADERS AND ENABLE_LIBRARY)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/LimeSuite.pc.in
    ${CMAKE_CURRENT_BINARY_DIR}/LimeSuite.pc
@ONLY)

install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/LimeSuite.pc
    DESTINATION lib${LIB_SUFFIX}/pkgconfig
)
endif (ENABLE_HEADERS AND ENABLE_LIBRARY)

########################################################################
# boardEmulator -- creates serial port and imitates board communications
########################################################################
if(UNIX)
    add_executable(boardEmulator boardEmulator.cpp)
    target_link_libraries(boardEmulator LimeSuite)
endif()

#########################################################################
# utilities
#########################################################################
add_subdirectory(utilities)

#########################################################################
# examples
#########################################################################
add_subdirectory(examples)

=== src/examples/CMakeLists.txt ===
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_EXAMPLES "Enable library example programs" ON "ENABLE_LIBRARY" OFF)
add_feature_info(LimeSuiteExamples ENABLE_EXAMPLES "LimeSuite library API examples")
if (NOT ENABLE_EXAMPLES)
    return()
endif()

if (UNIX)
find_package(Gnuplot)
if (GNUPLOT_FOUND)
add_definitions(-DUSE_GNU_PLOT)
message(STATUS "GNUPlot Found")
endif()
endif()

add_executable(basicRX basicRX.cpp)
set_target_properties(basicRX PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(basicRX LimeSuite)

add_executable(singleRX singleRX.cpp)
set_target_properties(singleRX PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(singleRX LimeSuite)

add_executable(dualRXTX dualRXTX.cpp)
set_target_properties(dualRXTX PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(dualRXTX LimeSuite)

add_executable(gpio_example gpio_example.cpp)
set_target_properties(gpio_example PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(gpio_example LimeSuite)

add_executable(basicTX basicTX.cpp)
set_target_properties(basicTX PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(basicTX LimeSuite)

add_executable(limeRFE_USB_example limeRFE_USB_example.cpp)
set_target_properties(limeRFE_USB_example PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(limeRFE_USB_example LimeSuite)

add_executable(limeRFE_I2C_example limeRFE_I2C_example.cpp)
set_target_properties(limeRFE_I2C_example PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(limeRFE_I2C_example LimeSuite)

add_executable(limeRFE_ADC_example limeRFE_ADC_example.cpp)
set_target_properties(limeRFE_ADC_example PROPERTIES RUNTIME_OUTPUT_DIRECTORY "${CMAKE_BINARY_DIR}/bin")
target_link_libraries(limeRFE_ADC_example LimeSuite)

=== src/oglGraph/CMakeLists.txt ===
set(oglGraph_src_files
	dlgMarkers.cpp
	GLFont.cpp
	OpenGLGraph.cpp
	glew/glew.c
)
include_directories(glew)
include_directories(glew/GL)

#ignore warnings about narrowing: static font header
if(CMAKE_COMPILER_IS_GNUCXX)
	add_definitions(-Wno-narrowing)
endif()

ADD_DEFINITIONS(-DGLEW_STATIC)
add_library(oglGraph STATIC ${oglGraph_src_files})
target_include_directories(oglGraph PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})

if (APPLE)
	set(GL_LIBS "-framework OpenGL" "-framework GLUT")
elseif (UNIX)
	set(GL_LIBS GL)
endif()

if(UNIX)
	target_link_libraries(oglGraph ${GL_LIBS} ${wxWidgets_LIBRARIES})
endif()

=== debian/changelog ===
limesuite (20.01.0+dfsg-2) unstable; urgency=medium

  * Source-only upload.

 -- Christoph Berg <myon@debian.org>  Tue, 04 Feb 2020 11:18:07 +0100

limesuite (20.01.0+dfsg-1) unstable; urgency=medium

  * New upstream version with new soname.

 -- Christoph Berg <myon@debian.org>  Thu, 30 Jan 2020 18:46:05 +0100

limesuite (19.04.0+dfsg-3) unstable; urgency=medium

  * Use debhelper 12.

 -- Christoph Berg <myon@debian.org>  Sun, 20 Oct 2019 17:37:18 +0200

limesuite (19.04.0+dfsg-2) experimental; urgency=medium

  * Bump SoapySDR module to 0.7.
  * Use Python 3. (Closes: #936947)

 -- Christoph Berg <myon@debian.org>  Tue, 08 Oct 2019 22:28:56 +0200

limesuite (19.04.0+dfsg-1) experimental; urgency=medium

  * New upstream release 19.04.0.
  * Change liblimesuite ABI version to 19.04-1.
  * Don't install docs/LMS_API_Documentation, doesn't exist anymore.
  * Add debian/gitlab-ci.yml.
  * Switch to GTK3. (Closes: #933412)
  * Add myself to Uploaders.

 -- Christoph Berg <myon@debian.org>  Sat, 10 Aug 2019 13:05:50 +0200

=== debian/control ===
Source: limesuite
Section: hamradio
Priority: optional
Maintainer: Debian Hamradio Maintainers <debian-hams@lists.debian.org>
Uploaders: Andreas Bombe <aeb@debian.org>,
           Christoph Berg <myon@debian.org>,
Build-Depends: debhelper (>= 12),
               cmake,
               pkg-config,
               doxygen,
               libusb-1.0-0-dev,
               libwxgtk3.0-gtk3-dev,
               libsoapysdr0.7-dev,
               freeglut3-dev,
               libglew-dev,
               libfltk1.3-dev,
Standards-Version: 4.4.0
Homepage: https://myriadrf.org/projects/lime-suite/
Vcs-Browser: https://salsa.debian.org/debian-hamradio-team/limesuite
Vcs-Git: https://salsa.debian.org/debian-hamradio-team/limesuite.git

Package: limesuite
Architecture: any
Depends: liblimesuite20.01-1 (>= ${binary:Version}),
         python3, python3-soapysdr,
         ${shlibs:Depends}, ${misc:Depends}
Description: tools to test, control and update LMS7 transceiver based hardware
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains the command line and GUI tools to control and update the
 hardware devices.

Package: liblimesuite20.01-1
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: limesuite-udev [linux-any]
Description: library to access LMS7 transceiver based hardware
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains the shared library to access LMS7 based hardware.

Package: liblimesuite-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblimesuite20.01-1 (= ${binary:Version}),
         ${misc:Depends}
Suggests: liblimesuite-doc
Description: library to access LMS7 transceiver based hardware (development)
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains the development files for liblimesuite.

Package: liblimesuite-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: liblimesuite development documentation
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains the development documentation for liblimesuite.

Package: soapysdr0.7-module-lms7
Architecture: any
Multi-Arch: same
Depends: liblimesuite20.01-1 (>= ${binary:Version}),
         ${shlibs:Depends}, ${misc:Depends}
Description: Lime Microsystems LMS7 device support for SoapySDR
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains a SoapySDR module to use LMS7 based hardware to transmit
 and receive.

Package: soapysdr-module-lms7
Architecture: any
Multi-Arch: same
Depends: soapysdr0.7-module-lms7, ${misc:Depends}
Description: Lime Microsystems LMS7 device support for SoapySDR (default version)
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This is an empty dependency package that pulls in the LMS7 support module for
 the default version of libsoapysdr.

Package: limesuite-udev
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Lime Suite - USB rules for udev
 Lime Suite is a collection of software supporting Lime Microsystems LMS7 RF
 transceiver based hardware such as the LimeSDR, LMS7002M UNITE board, or the
 Novena with LMS7 RF board.
 .
 This package contains the udev rules to make LMS7 based hardware accessible to
 users in the plugdev group.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# for definition of DEB_VERSION
include /usr/share/dpkg/pkg-info.mk

# extract the architecture for setting the library path suffix
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure -- \
		-DENABLE_SIMD_FLAGS=none \
		-DBUILD_SHARED_LIBS=ON \
		-DCMAKE_AUTOSET_INSTALL_RPATH=FALSE \
		-DUDEV_RULES_PATH=/lib/udev/rules.d \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DOVERRIDE_LIME_SUITE_VERSION="$(DEB_VERSION)"

override_dh_installdocs:
	dh_installdocs -p soapysdr-module-lms7 \
                --link-doc=soapysdr0.7-module-lms7
	dh_installdocs --remaining-packages

## limesuite 20.07.2

=== debian/changelog ===
limesuite (20.07.2-1) unstable; urgency=low

  * Release 20.07.2 (2020-08-06)

 -- Lime Microsystems <info@limemicro.com> Thu, 06 Aug 2020 09:00:00 +0300

limesuite (20.07.1-1) unstable; urgency=low

  * Release 20.07.1 (2020-07-30)

 -- Lime Microsystems <info@limemicro.com> Thu, 30 Jul 2020 14:00:00 +0300

limesuite (20.07.0-1) unstable; urgency=low

  * Release 20.07.0 (2020-07-29)

 -- Lime Microsystems <info@limemicro.com> Wed, 29 Jul 2020 09:30:00 +0300

limesuite (20.01.0-1) unstable; urgency=low

  * Release 20.01.0 (2020-01-28)

 -- Lime Microsystems <info@limemicro.com> Thu, 28 Feb 2020 15:00:00 +0300

limesuite (19.04.0-1) unstable; urgency=low

  * Release 19.04.0 (2019-05-09)

 -- Lime Microsystems <info@limemicro.com> Thu, 09 May 2019 14:30:00 +0300

limesuite (19.01.0-1) unstable; urgency=low

  * Release 19.01.0 (2019-02-08)

 -- Lime Microsystems <info@limemicro.com> Fri, 08 Feb 2019 10:30:00 +0200

=== debian/control ===
Source: limesuite
Section: comm
Priority: optional
Maintainer: Lime Microsystems <info@limemicro.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 3.1.3),
    libusb-1.0-0-dev,
    libwxgtk3.0-dev | libwxgtk3.0-gtk3-dev,
    libsoapysdr-dev,
    freeglut3-dev,
    libfltk1.3-dev,
    fluid,
Standards-Version: 4.1.1
Homepage: https://myriadrf.org/projects/lime-suite/
Vcs-Git: https://github.com/myriadrf/LimeSuite.git
Vcs-Browser: https://github.com/myriadrf/LimeSuite.git

Package: liblimesuite20.07-1
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}
Recommends: limesuite-udev, limesuite-images
Description: Lime Suite - shared library
 Lime Suite application software.

Package: liblimesuite-dev
Section: libdevel
Architecture: any
Depends:
    liblimesuite20.07-1 (= ${binary:Version}),
    ${misc:Depends}
Description: Lime Suite - development files
 Lime Suite application software.

Package: limesuite
Section: comm
Architecture: any
Depends:
    liblimesuite20.07-1 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends},
    xdg-utils
Description: Lime Suite - Library applications
 Lime Suite application software.

Package: soapysdr-module-lms7
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: osmocom-latest, soapysdr0.7-module-lms7, ${misc:Depends}
Description: Lime Suite - SoapySDR bindings metapackage
 Lime Suite application software.

Package: soapysdr0.7-module-lms7
Section: comm
Architecture: any
Multi-Arch: same
Depends:
    liblimesuite20.07-1 (= ${binary:Version}),
    ${shlibs:Depends},
    ${misc:Depends}
Description: Lime Suite - SoapySDR bindings
 Lime Suite application software.

Package: limesuite-udev
Section: libs
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, udev
Description: Lime Suite - USB rules for udev
 Lime Suite application software.

Package: limesuite-images20.07
Section: libs
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, wget
Description: Lime Suite - Install firmware and gateware images
 Lime Suite application software.
 .
 This is dummy package that downloads the images from the web.

Package: limesuite-images
Section: libs
Architecture: any
Multi-Arch: same
Depends: osmocom-latest, ${shlibs:Depends}, ${misc:Depends}, limesuite-images20.07
Description: Lime Suite - Install firmware and gateware images
 Lime Suite application software.
 .
 This is an empty dependency package that pulls in the images
 for the default version of Lime Suite.

## limesuite 20.10.0

=== debian/changelog ===
limesuite (20.10.0) unstable; urgency=medium

  * Automatically generated changelog entry for building the Osmocom latest feed

 -- Osmocom OBS scripts <info@osmocom.org>  Thu, 04 Aug 2022 09:19:00 +0000

limesuite (20.10.0-1) unstable; urgency=low

  * Release 20.10.0 (2020-10-29)

 -- Lime Microsystems <info@limemicro.com> Thu, 29 Oct 2020 12:00:00 +0300

## limesuite 20.10.0%2Bdfsg

=== debian/changelog ===
limesuite (20.10.0+dfsg-5) unstable; urgency=medium

  * Add patch to support enabling reference clock.
    https://github.com/myriadrf/LimeSuite/pull/352

 -- Christoph Berg <myon@debian.org>  Mon, 24 Jan 2022 21:46:14 +0100

limesuite (20.10.0+dfsg-4) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Bombe <aeb@debian.org>  Wed, 08 Sep 2021 00:21:44 +0200

limesuite (20.10.0+dfsg-3) experimental; urgency=medium

  * Change SoapySDR ABI version in package names and dependencies from 0.7
    to 0.8.
  * Add Rules-Requires-Root field to d/control.
  * Bump Standards-Version to 4.6.0, no changes required.

 -- Andreas Bombe <aeb@debian.org>  Mon, 30 Aug 2021 20:48:16 +0200

limesuite (20.10.0+dfsg-2) unstable; urgency=medium

  * Upload to unstable.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Jan 2021 20:44:30 +0100

limesuite (20.10.0+dfsg-1) experimental; urgency=low

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Bombe ]
  * New upstream release 20.10.0.
  * Change liblimesuite ABI version from 20.01-1 to 20.10-1.
  * Add license of added CheckAtomic.cmake script to d/copyright.
  * Drop link-libatomic patch as upstream now handles linking libatomic.
  * Increase debhelper compat level to 13.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Exempt a *.bak file that snuck into the upstream release from cleaning by
    dh_clean.

 -- Andreas Bombe <aeb@debian.org>  Sat, 19 Dec 2020 03:05:43 +0100
